package com.muyu.common.datascope;

import com.baomidou.mybatisplus.core.handlers.MetaObjectHandler;
import com.muyu.common.core.text.Convert;
import com.muyu.common.security.utils.SecurityUtils;
import lombok.extern.log4j.Log4j2;
import org.apache.ibatis.reflection.MetaObject;
import java.util.Date;

/**
 * @Author: zi run
 * @Date 2024/8/9 10:44
 * @Description 实体类字段填充
 */
@Log4j2
public class MyMetaObjectHandler implements MetaObjectHandler {

    public MyMetaObjectHandler() {
       log.info("元对象字段填充控制器抽象类 ------ 加载完成");
    }

    @Override
    public void insertFill(MetaObject metaObject) {
        this.setFieldValByName("createBy", Convert.str(SecurityUtils.getUserId(), ""), metaObject);
        this.setFieldValByName("createTime", new Date(), metaObject);
        log.info("添加对象元数据字段填充-[createBy:[{}], createTime:[{}]]",
                SecurityUtils.getUserId(), new Date());
    }

    @Override
    public void updateFill(MetaObject metaObject) {
        this.setFieldValByName("updateBy", Convert.str(SecurityUtils.getUserId(), ""), metaObject);
        this.setFieldValByName("updateTime", new Date(), metaObject);
        log.info("修改对象元数据字段填充-[updateBy:[{}], updateTime:[{}]]",
                SecurityUtils.getUserId(), new Date());
    }
}
